# Class HDFNotImplementedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ncsa.hdf.hdflib.HDFException
ncsa.hdf.hdflib.HDFJavaException
ncsa.hdf.hdflib.HDFNotImplementedException

All Implemented Interfaces:
  `Serializable`

public class HDFNotImplementedException extends HDFJavaException

HDFNotImplementedException indicates a function that is part of the HDF API, but which cannot or will not be implemented for Java.

For instance, C routines which take Unix FILE objects as parameters are not appropriate for the Java interface and will not be implemented. These routines will raise an HDFNotImplementedException.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class HDFException

`HDFExceptionMessage, HDFMessage, OutOfMemoryMessage`

## Constructor Summary

Constructors
Constructor
Description
`HDFNotImplementedException()`
`HDFNotImplementedException(String s)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HDFNotImplementedException

public HDFNotImplementedException()

### HDFNotImplementedException

public HDFNotImplementedException(String s)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `HDFJavaException`